package com.ningdatech.kqapi.admin.model.req;

import com.ningdatech.kqapi.common.model.PagePo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * MatterListReq
 * </p>
 *
 * @author WendyYang
 * @since 15:52 2024/4/20
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MatterListReq extends PagePo {

    @ApiModelProperty("部门")
    private String department;

    @ApiModelProperty("事项名称")
    private String matterName;

    @ApiModelProperty("服务类型")
    private Integer matterType;

    @ApiModelProperty("专区ID")
    private Integer zoneId;

    @ApiModelProperty("窗口ID")
    private Integer windowId;

}
