package com.ningdatech.kqapi.common.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * ImplSubjectNatureEnum
 * </p>
 *
 * @author WendyYang
 * @since 10:39 2024/4/22
 */
@Getter
@AllArgsConstructor
public enum ImplSubjectNatureEnum implements IEnum {

    STATUTORY_AUTHORITIES(1, "法定机关"),
    THIRD_PARTY_INTERMEDIARIES(2, "第三方中介服务");

    private final Integer code;
    private final String desc;

}
