package com.ningdatech.kqapi.security.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author liuxinxin
 * @date 2022/11/24 下午5:45
 * 登陆平台
 */
@Getter
@AllArgsConstructor
public enum LoginPlatformEnum {

    // PC 端
    PC_PLATFORM,

    // 驾驶员端
    DRIVER_PLATFORM,

    // 企业端
    ENTERPRISE_PLATFORM;

    public boolean eq(String platform) {
        return this.name().equals(platform);
    }

}
