package com.ningdatech.kqapi.sso.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author CMM
 * @since 2024/04/07 11:22
 */
@Data
@ApiModel(value = "ReqTokenDTO", description = "获取Token请求实体")
public class ReqSsoDTO {

    @ApiModelProperty("单点登录票据")
    private String ticketId;

    @ApiModelProperty("应用发布 ID")
    private String appId;

    @ApiModelProperty("单点登录Token")
    private String token;
}
