package com.ningdatech.kqapi.user.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * ResUserBasicInfoVO
 * </p>
 *
 * @author WendyYang
 * @since 10:30 2024/4/20
 */
@Data
@ApiModel("用户基本信息")
public class LoginUserDetailVO {

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("用户真实姓名")
    private String realName;

    @ApiModelProperty("用户手机号")
    private String phoneNo;

}
