package com.ningdatech.kqapi.zzsfw.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author ZPF
 * @since 2023-10-27
 */
@Data
@TableName("nd_kq_zzsfw_menu")
@ApiModel(value = "NdKqZzsfwMenu对象")
public class KqZzsfwMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("数据同步时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @ApiModelProperty("数据更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @ApiModelProperty("更新人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

    @ApiModelProperty("社区名")
    private String zoneName;

    @ApiModelProperty("窗口")
    private String window;

    @ApiModelProperty("部门")
    private String department;

    @ApiModelProperty("事项名称")
    private String itemName;

    @ApiModelProperty("事项在政务中心的rowid")
    private String itemRowid;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("链接")
    private String webapplyurl;

    @ApiModelProperty("是否在政务中心查到url")
    private Integer hasUrl;

    @ApiModelProperty("类型 1.政府服务 2.增值服务 3.特殊")
    private Integer type;

    @ApiModelProperty("服务内容")
    private String serviceContent;

    @ApiModelProperty("服务流程")
    private String serviceProcess;

    @ApiModelProperty("咨询电话")
    private String telephone;

    @ApiModelProperty("专区id")
    private Integer zoneId;

    @ApiModelProperty("窗口id")
    private Integer windowId;

    @ApiModelProperty("是否删除")
    private Boolean deleted;

    @ApiModelProperty("服务对象")
    private String serviceObject;

    @ApiModelProperty("是否免费")
    private Boolean free;

    @ApiModelProperty("是否网上缴费")
    private Boolean onlinePay;

    @ApiModelProperty("办理渠道")
    private Integer handleChannel;

    @ApiModelProperty("办理地点")
    private String handleAddress;

    @ApiModelProperty("办理时间")
    private String handleTime;

    @ApiModelProperty("行使层级")
    private String exerciseLevel;

    @ApiModelProperty("实施主体性质")
    private Integer implSubjectNature;

    @ApiModelProperty("特色场景描述")
    private String sceneDesc;

    @ApiModelProperty("宣传资料")
    private String publicityMaterials;

}
