package com.ningdatech.kqapi.zzsfw.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author ZPF
 * @since 2023-11-02
 */
@Data
@ApiModel(value = "NdKqZzsfwPolicy VO")
public class ZzsfwPolicyVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id主键")
    private Long id;

    @ApiModelProperty("数据同步时间")
    private LocalDateTime createOn;

    @ApiModelProperty("抬头")
    private String header;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("二级标题")
    private String secondTitle;

    @ApiModelProperty("适用地区")
    private String regionName;

    @ApiModelProperty("责任部门")
    private String department;

    @ApiModelProperty("发文日期")
    private String issueDate;

    @ApiModelProperty("状态")
    private String status;

    @ApiModelProperty("申报时间")
    private String applyTime;

    @ApiModelProperty("在线咨询url")
    private String onlineConsultationUrl;

    @ApiModelProperty("排序")
    private Integer sort;
}
