package com.ningdatech.kqapi.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.kqapi.admin.model.dto.WindowCountByZoneIdDTO;
import com.ningdatech.kqapi.admin.model.entity.Window;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author WendyYang
 * @since 2024-04-20
 */
public interface WindowMapper extends BaseMapper<Window> {

    List<WindowCountByZoneIdDTO> selectWindowCountByZoneIds(@Param("zoneIds") Collection<Integer> zoneIds);

}
