package com.ningdatech.kqapi.admin.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * WindowSaveReq
 * </p>
 *
 * @author WendyYang
 * @since 13:25 2024/4/20
 */
@Data
public class WindowSaveReq {

    @ApiModelProperty("窗口ID")
    private Integer id;

    @ApiModelProperty("专区ID")
    @NotNull(message = "专区ID不能为空")
    private Integer zoneId;

    @ApiModelProperty("专区名称")
    @NotBlank(message = "专区名称不能为空")
    private String zoneName;

    @ApiModelProperty("窗口名称")
    @NotBlank(message = "窗口名称不能为空")
    private String windowName;

}
