package com.ningdatech.kqapi.security.constant;

/**
 * <p>
 * 授权相关常量
 * </p>
 *
 * @author WendyYang
 * @since 2023/9/1
 **/
public class AuthConst {

    private AuthConst() {
    }

    public static final Integer SESSION_TIME_SECONDS = 24 * 60 * 60 * 10;
    public static final Integer SESSION_EXPIRED = 0;

    public static final String USERNAME = "username";

    public static final String PASSWORD = "password";

    public static final String LOGIN_PLATFORM = "loginPlatform";

    public static final String DEVICE_MODEL = "deviceModel";

    public static final String OPEN_ID = "openId";

}
