package com.ningdatech.kqapi.user.model.vo;

import com.ningdatech.kqapi.user.model.enumerization.AccountStatus;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * UserDetailVO
 * </p>
 *
 * @author WendyYang
 * @since 09:35 2022/12/2
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserDetailVO {

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("用户姓名")
    private String realName;

    @ApiModelProperty("手机号")
    private String phoneNo;

    @ApiModelProperty("用户登陆名")
    private String userName;

    @ApiModelProperty("免冠照图片文件id")
    private Long avatarFileId;

    @ApiModelProperty("驾驶证信息")
    private Long licenseOfDriver;

    private AccountStatus accountStatus;

}
