package com.ningdatech.kqapi.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.kqapi.user.model.entity.UserAuth;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-11-23
 */
public interface IUserAuthService extends IService<UserAuth> {

    List<UserAuth> listByUserId(Long userId);

    /**
     * 删除用户授权信息
     *
     * @param userId 用户ID
     * @author WendyYang
     **/
    void removeByUserId(Long userId);

}
